<template>
<v-container>
  <v-container>
    <h2>Documentação da API: {{JSON_API_DISCOVERY.nome}}</h2>
    <v-row>
      <v-col cols="12" md="8" class="d-flex flex-column">
         <span v-if="JSON_API_DISCOVERY.host">
          <b>Host: </b>{{JSON_API_DISCOVERY.host}}
        </span>
        <span v-if="JSON_API_DISCOVERY.contexto">
          <b>Contexto: </b>{{JSON_API_DISCOVERY.contexto}}
        </span>
        <span 
          v-if="hostLink !== ''"
          v-html="hostLink"
        />
      </v-col>
      <v-col cols="12" md="4" class="d-flex flex-column">
        <span v-if="JSON_API_DISCOVERY.service">
          <b>Serviço: </b>{{JSON_API_DISCOVERY.service}}
        </span>
        <span v-if="JSON_API_DISCOVERY.ambiente">
          <b>Ambiente: </b>{{JSON_API_DISCOVERY.ambiente}}
        </span>
        <span v-if="JSON_API_DISCOVERY.versao">
          <b>Versao: </b>{{JSON_API_DISCOVERY.versao}}
        </span>
      </v-col>
    </v-row>
  </v-container>
  <vx-ApiRouteView
    v-for="(item, key) in JSON_API_DISCOVERY.recursos"
    :key="key"
    :routeId="key"
    :resource="item"
    :requestURLBase="hostURL"
  ></vx-ApiRouteView>

  <v-tooltip top>
    <span>Configurações</span>
    <template v-slot:activator="{on}">
      <v-btn fixed dark fab bottom right color="orange" @click="goToSettings" v-on="on">
        <v-icon>mdi-cog</v-icon>
      </v-btn>
    </template>
  </v-tooltip>
</v-container>
</template>
<script>
import ApiRouteView from "../components/ApiRouteView";
import { mapState } from "vuex";
export default {
  name:"Home",
  components:{
    "vx-ApiRouteView": ApiRouteView,
  },
  computed:{
    ...mapState(["JSON_API_DISCOVERY", "THEME"]),
    hostLink(){
      if (this.hostURL.length > 0){
        return `<b>Link: </b><a href="${this.hostURL}" target="_blank">${this.hostURL}</a>`
      }
      return ''
    },
    hostURL(){
      let address =  ''
      if (this.JSON_API_DISCOVERY.host === undefined || this.JSON_API_DISCOVERY.host === '') {
        return ''
      }else{
        address =  this.JSON_API_DISCOVERY.host
      }

      if ((this.JSON_API_DISCOVERY.porta !== undefined ||this.JSON_API_DISCOVERY.porta !== '') && address !== '') {
        address =  address +":"+this.JSON_API_DISCOVERY.porta
      }

      if ((this.JSON_API_DISCOVERY.contexto !== undefined || this.JSON_API_DISCOVERY.contexto !== '') && address !== '') {
        address =  address + this.JSON_API_DISCOVERY.contexto
      }
      return address
    }
  },
  methods:{
    goToSettings(){
      this.$router.push({ name:'Settings'})
    }
  }
}
</script>
